package com.simuwang.manage.api.company;

import com.simuwang.manage.service.CompanyInformationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * FileName: CompanyInformationController
 * Author:   chenjianhua
 * Date:     2024/9/6 15:25
 * Description: ${DESCRIPTION}
 */
@RestController
@RequestMapping("/v1/company")
public class CompanyInformationController {
    @Autowired
    private CompanyInformationService companyInformationService;
    @RequestMapping("search-info")
    public List<Map<String,String>> searchCompanyInfo(@RequestParam(value = "keyword",required = false)String keyword){
        List<Map<String,String>> result = companyInformationService.searchCompanyInfo(keyword);
        return result;
    }

}
